Skip to main content
curl --location --request POST 'https://api-prod.extend.app/workflow_runs/:id' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <API_TOKEN>' \
--data '{
    "name": "test_workflow",
    "metadata": {
      "internal_id": "id_1234"
    }
}'
{
  "success": true,
  "workflowRun": {
    "object": "workflow_run",
    "id": "workflow_run_1234",
    "status": "PROCESSED",
    "metadata": {
      "internal_id": "id_1234"
    },
    "initialRunAt": "2023-01-01T09:41:00.000Z",
    "reviewedBy": "user_1234",
    "reviewedAt": "2023-01-10T05:39:14.500Z",
    "startTime": "2023-01-01T09:41:00.000Z",
    "endTime": "2023-01-10T05:39:24.500Z",
    "files": [
      {
        "object": "file",
        "id": "file_1234",
        "name": "example_file_name.pdf",
      }
    ],
    "outputs": [
      {
        "object": "document_processor_run",
        "id": "dpr_1234",
        "edited": true,
        "type": "EXTRACT",
        "initialOutput": {
          // Output object - see “Processor output types” for details
        },
        "reviewedOutput": {
          // Output object - see “Processor output types” for details
        },
        "output": {
          // Output object - see “Processor output types” for details
        }
      }
    ],
    "workflow": {
      "object": "workflow",
      "id": "workflow_1234",
      "version": "1",
      "name": "test_workflow"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.extend.app/llms.txt

Use this file to discover all available pages before exploring further.

Parameters

id
string
The ID of the WorkflowRun that was outputted after you created it using the /workflow_runs endpoint.

Body

name
string
An optional name that can be assigned to a specific WorkflowRun.
metadata
any
A metadata object that can be assigned to a specific WorkflowRun. If metadata already exists on the WorkflowRun, this new metadata object will be merged with it, with the new metadata taking field precedence.

Response

workflowRun
WorkflowRun
An object representing a WorkflowRun. See the WorkflowRun object for the shape of the data.
Workflow
object
curl --location --request POST 'https://api-prod.extend.app/workflow_runs/:id' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <API_TOKEN>' \
--data '{
    "name": "test_workflow",
    "metadata": {
      "internal_id": "id_1234"
    }
}'
{
  "success": true,
  "workflowRun": {
    "object": "workflow_run",
    "id": "workflow_run_1234",
    "status": "PROCESSED",
    "metadata": {
      "internal_id": "id_1234"
    },
    "initialRunAt": "2023-01-01T09:41:00.000Z",
    "reviewedBy": "user_1234",
    "reviewedAt": "2023-01-10T05:39:14.500Z",
    "startTime": "2023-01-01T09:41:00.000Z",
    "endTime": "2023-01-10T05:39:24.500Z",
    "files": [
      {
        "object": "file",
        "id": "file_1234",
        "name": "example_file_name.pdf",
      }
    ],
    "outputs": [
      {
        "object": "document_processor_run",
        "id": "dpr_1234",
        "edited": true,
        "type": "EXTRACT",
        "initialOutput": {
          // Output object - see “Processor output types” for details
        },
        "reviewedOutput": {
          // Output object - see “Processor output types” for details
        },
        "output": {
          // Output object - see “Processor output types” for details
        }
      }
    ],
    "workflow": {
      "object": "workflow",
      "id": "workflow_1234",
      "version": "1",
      "name": "test_workflow"
    }
  }
}